Skip to main content
Platform Operations/Platforms

TriggerHealthCheck

Immediately trigger a health check for a platform and return the result.

POST/api/v1/platforms/{uuid}/health-check

Operation ID

TriggerHealthCheck

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    UUID of the platform to trigger the health check on

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • platformId
    String

    ID of the platform this health check result is associated with

    Example: plat-abc123-def456

  • timestamp
    String

    Timestamp for this resource

    Example: 2026-01-15T08:00:00Z

  • status
    String

    Health check outcome status (healthy, unhealthy)

    Example: healthy

  • failureReason
    String

    Reason for health check failure if status is unhealthy

    Example: API endpoint unreachable

  • fixAttempted
    Boolean

    Whether an auto-fix was attempted after this check

    Example: false

  • fixSucceeded
    Boolean

    Whether the auto-fix attempt succeeded

    Example: false

  • latencyMs
    String

    Round-trip latency in milliseconds for this check

    Example: 120